.topbar {
	background: #fff;
}

.first_section {
	background: unset;
	background-image: unset;
	padding: 5px;
}
.first_section .btn {
	background-color: #f8f8f8;
	border: 1px solid #bfbfbf;
}
.first_section .btn:active,
.first_section .btn:hover,
.first_section .btn:focus {
	background-color: #f8f8f8;
	border: 1px solid #bfbfbf;
	color: #222;
	box-shadow: inset 0 0 4px 1px rgb(0 0 0 / 8%);
}

.navbar {
	background-color: rgb(39, 44, 51);
	color: #99abb4;
	font-size: 14px;
}
.navbar, .navbar-header {
	min-height: 42px !important;
	max-height: 42px !important;
}
.navbar-header {
	width: 245px !important;
}
.navbar-header-item {
	padding: 0 0 0 0 !important;
	margin: 0 0 0 1rem;
}
.user_secret {
	color: #99abb4;
}
.hide_in_mini {
	color: #99abb4;
	font-weight: 300;
}
.hide_in_mini:active, .user_secret:active,
.hide_in_mini:focus, .user_secret:focus,
.hide_in_mini:hover, .user_secret:hover {
	color: #d04091;
}
.active .hide_in_mini {
	color: #d04091;
}

.profile_drop .text-muted {
	font-size: 14px;
}
.topbar .navbar-light .navbar-nav .nav-item > a.nav-link {
	color: #99abb4 !important;
}
.topbar .navbar-light .navbar-nav .nav-item > a.nav-link:active,
.topbar .navbar-light .navbar-nav .nav-item > a.nav-link:focus,
.topbar .navbar-light .navbar-nav .nav-item > a.nav-link:hover {
	color: #d04091 !important;
}
.topbar .top-navbar .navbar-nav > .nav-item > .nav-link {
	line-height: unset;
	font-size: 14px;
}
.navbar-light .navbar-nav .nav-link {
	color: #99abb4;
}
.navbar-light .navbar-nav .nav-link:active,
.navbar-light .navbar-nav .nav-link:focus,
.navbar-light .navbar-nav .nav-link:hover {
	color: #d04091
}

.left-sidebar {
	width: 245px;
	top: unset;
	padding-top: unset;
	padding-bottom: 42px;
}
.left-sidebar .nav-tabs {
	border-top: 1px solid #dee2e6;
}
.left-sidebar .nav-tabs .nav-item a {
	border-top: none !important;
}
.scroll-sidebar {
	padding-bottom: 150px;
}

.page-wrapper {
	padding-bottom: 42px;
}
.container-fluid {
	padding-top: 20px;
	padding-bottom: 20px;
}
.page-content {
	background: #fff;
	padding: 15px 15px 0 15px;
}
.page-section {
	display: flex;
	flex-direction: row;
	padding-bottom: 15px;
}
.page-content .page-section h1 {
	font-weight: 400;
	font-size: 22px;
	padding-bottom: 5px;
	margin-bottom: 0;
}

.blazored-modal-content {
	padding: 15px;
}
.blazored-modal-footer {
	margin-left: -15px;
	margin-right: -15px;
	margin-top: 0;
	padding: 15px 15px 0 15px;
}

.entity-info {
	font-size: 14px;
}

.page-content .nav.nav-tabs .nav-item,
.blazored-modal-content .nav.nav-tabs .nav-item {
	font-size: 14px;
	font-weight: 500;
	color: #67757c;
}
.page-content .nav.nav-tabs .nav-item:active,
.page-content .nav.nav-tabs .nav-item:focus,
.page-content .nav.nav-tabs .nav-item:hover,
.blazored-modal-content .nav.nav-tabs .nav-item:active,
.blazored-modal-content .nav.nav-tabs .nav-item:focus,
.blazored-modal-content .nav.nav-tabs .nav-item:hover {
	color: #d04091

}
.page-content .tab-content,
.blazored-modal-content .tab-content {
	border-left: 1px solid #dee2e6;
	border-bottom: 1px solid #dee2e6;
	border-right: 1px solid #dee2e6;
	padding: 15px 15px 0 15px;
}

strong {
	font-weight: 600;
}

a {
	color: #3276b1;
}
a:hover {
	color: #d04091;
}

.btn {
	font-size: 13px;
	border-radius: 4px;
	padding: 4px 10px 5px 10px;
	display: inline-block;
	border-width: 1px;
	border-style: solid;
	white-space: nowrap;
}
.ui-selectbutton .ui-button {
	font-size: 13px;
	padding: 4px 10px 5px 10px;
	height: 30px;
}
.ui-selectbutton .ui-button .ui-button-text {
	line-height: unset;
}
.badge {
	padding: 4px 6px;
}
.btn i {
	font-size: unset;
}
.btn-default,
.ui-selectbutton .ui-button {
	color: #333;
	background-color: #fff;
	border-color: #ccc;
}
.btn-default:active,
.btn-default:focus,
.btn-default:hover,
.ui-selectbutton .ui-button:active,
.ui-selectbutton .ui-button:focus,
.ui-selectbutton .ui-button:hover {
	background-color: #e6e6e6;
	border-color: #adadad;
}
.btn-primary {
	color: #fff;
	background-color: #3276b1;
	border-color: #2c699d;
	background-image: none !important;
}
.ui-selectbutton .ui-button.ui-state-active,
.ui-selectbutton .ui-button.ui-state-active:active
.ui-selectbutton .ui-button.ui-state-active:hover
.ui-selectbutton .ui-button.ui-state-active:focus {
	color: #fff;
	background-color: #3276b1;
	border-color: #2c699d;
	background-image: none !important;
	box-shadow: none !important;
}
.btn-primary:active,
.btn-primary:focus,
.btn-primary:hover {
	background-color: #275b89 !important;
	border-color: #1f496d !important;
}
.badge-primary {
	color: #fff;
	background-color: #3276b1;
	border-color: #2c699d;
}
.btn-secondary {
	color: #333;
	background-color: #fff;
	border-color: #ccc;
}
.btn-secondary:active,
.btn-secondary:focus,
.btn-secondary:hover {
	background-color: #e6e6e6;
	border-color: #adadad;
}
.btn-success {
	color: #fff;
	background-color: #739e73;
	border-color: #659265;
	font-weight: 500;
}
.btn-success:active,
.btn-success:focus,
.btn-success:hover {
	background-color: #5b835b !important;
	border-color: #4c6e4c !important;
}
.badge-success {
	color: #fff;
	background-color: #739e73;
	border-color: #659265;
}
.bg-success {
	background-color: #dff0d8 !important;
}
.text-success {
	color: #468847 !important;
}
.ui-growl-message-success .ui-growl-item {
	color: #fff;
	background-color: #739e73;
	border-color: #659265;
}

.btn-danger {
	color: #fff;
	background-color: #a90329;
	border-color: #900323;
}
.btn-danger:active,
.btn-danger:focus,
.btn-danger:hover {
	background-color: #77021d !important;
	border-color: #540114 !important;
}
.badge-error {
	color: #fff;
	background-color: #a90329;
	border-color: #900323;
}
.bg-danger {
	background-color: #f2dede !important;
}
.text-danger {
	color: #b94a48 !important;
}
.ui-growl-message-error .ui-growl-item {
	color: #fff;
	background-color: #a90329;
	border-color: #900323;
}

.bg-warning {
	background-color: #faf2cc !important;
}
.text-warning {
	color: #c09853 !important;
}

.bg-gray {
	background: #6c757d !important;
}

.bg-otog {
	background: #cad3eb !important;
}
.bg-dark-red {
	background: #cb7b7b !important;
}

.form-inline .form-group {
	margin-bottom: 5px;
}
.form-inline .form-group .control-label {
	font-size: 13px;
	margin-right: 5px;
}
.form-inline .form-group .date-picker {
	margin-right: 5px;
}
.form-inline .form-group .form-control,
.form-inline .form-group .blazored-typeahead .blazored-typeahead__controls input,
.form-inline .form-group .date-picker input,
.form-inline .form-group .ui-dropdown {
	padding: 3px 4px;
	border: 1px solid #bfbfbf;
	margin-right: 5px;
	font-size: 14px;
	font-weight: 500;
}
.form-inline .form-group .select-box {
	padding-right: 25px;
}
.form-inline .form-group .blazored-typeahead {
	border: none;
}
.form-inline .form-group .blazored-typeahead:focus-within {
	box-shadow: none;
}
.form-inline .form-group .blazored-typeahead .blazored-typeahead__controls input,
.form-inline .form-group .date-picker input,
.form-inline .form-group .ui-dropdown {
	min-height: 38px;
	box-shadow: unset;
	color: #67757c
}
.form-inline .form-group .blazored-typeahead .blazored-typeahead__controls input:focus,
.form-inline .form-group .date-picker input:focus,
.form-inline .form-group .ui-dropdown:focus {
	color: #495057;
	background-color: #fff;
	box-shadow: 0 0 0 0.2rem rgb(0 123 255 / 25%);
}
.form-inline .form-group .date-picker input:hover {
	box-shadow: unset;
	border: 1px solid #bfbfbf;
}
.form-inline .form-group .checkbox label {
	font-size: 13px;
	margin-right: 5px;
	cursor: pointer;
}
.form-inline .form-group .checkbox input {
	margin-right: 5px;
	border: 1px solid #bfbfbf;
	height: 20px;
	width: 20px;
	border-radius: 2px;
	cursor: pointer;
}
.form-inline .form-group .checkbox input:checked {
	background-color: #275b89;
}

.form-horizontal .form-group {
	display: flex;
	flex-wrap: wrap;
	margin-bottom: 10px;
}
.form-horizontal .form-group .control-label {
	padding-top: calc(.375rem + 1px);
	padding-bottom: calc(.375rem + 1px);
	margin-bottom: 0;
	text-align: right;
	font-size: 14px;
	padding-right: 0;
}
.form-control.is-valid, .was-validated .form-control:valid {
	border-color: #bfbfbf;
}
.form-horizontal .form-group .form-control {
	border: 1px solid #bfbfbf;
	padding: 3px 4px;
	margin-right: -5px;
	font-size: 14px;
	font-weight: 500;
}
.form-horizontal .form-group .ui-calendar input {
	box-shadow: unset;
}
.form-horizontal .form-group .ui-calendar input:focus {
	box-shadow: 0 0 0 0.2rem rgb(0 123 255 / 25%);
}
.form-horizontal .form-group .ui-dropdown {
	border: 1px solid #bfbfbf;
	box-shadow: unset;
}
.form-horizontal .form-group .ui-dropdown:focus {
	box-shadow: 0 0 0 0.2rem rgb(0 123 255 / 25%);
}
.form-horizontal .form-group .checkbox {
	font-size: 14px;
}
.form-horizontal .form-group .checkbox:focus {
	box-shadow: 0 0 0 0.2rem rgb(0 123 255 / 25%);
}
.form-horizontal .form-group .buttons {
}
.form-horizontal.needs-validation .form-control:required:invalid:focus,
.form-horizontal.needs-validation :invalid ~ .date-picker input:focus,
.form-horizontal.needs-validation :invalid ~ .input-group .blazored-typeahead:focus-within {
	box-shadow: 0 0 0 0.2rem rgb(220 53 69 / 25%);
}
.form-horizontal.needs-validation .form-control:required:invalid,
.form-horizontal.needs-validation :required:invalid ~ .date-picker input,
.form-horizontal.needs-validation :required:invalid ~ .input-group .blazored-typeahead {
	border-color: #dc3545 !important;
}
.form-horizontal.was-validated .form-control:invalid,
.form-horizontal.was-validated :invalid ~ .date-picker input,
.form-horizontal.was-validated :invalid ~ .input-group .blazored-typeahead {
	border-color: #dc3545 !important;
	background-image: unset;
}
.form-horizontal.was-validated :invalid ~ .date-picker input:focus,
.form-horizontal.was-validated :invalid ~ .input-group .blazored-typeahead:focus-within {
	box-shadow: 0 0 0 0.2rem rgb(220 53 69 / 25%);
}
.form-horizontal.was-validated .form-control:valid {
	background-image: unset;
}
.form-horizontal.was-validated .form-control:valid:focus {
	box-shadow: 0 0 0 0.2rem rgb(0 123 255 / 25%);
	border-color: #bfbfbf;
}

.input-group {
	flex-wrap: unset;
}
.input-group-text {
	border-color: #bfbfbf;
	font-size: 14px;
}
.input-group > .custom-select:not(:first-child),
.input-group > .form-control:not(:first-child),
.input-group > .selectboxs > select:not(:first-child),
.input-group > .blazored-typeahead:not(:first-child) {
	margin-left: -3px;
}
.input-group > .custom-select:not(:last-child),
.input-group > .form-control:not(:last-child),
.input-group > .selectboxs > select:not(:last-child),
.input-group > .blazored-typeahead:not(:last-child) {
	margin-right: -3px;
}

.input-group > .blazored-typeahead {
	flex: 1 1 0%;
}
.input-group > .blazored-typeahead:not(:first-child) {
	border-top-left-radius: 0;
	border-bottom-left-radius: 0;
}
.input-group > .selectboxs > select:not(:first-child),
.input-group > .blazored-typeahead:not(:first-child) input {
	border-top-left-radius: 0;
	border-bottom-left-radius: 0;
}
.input-group > .blazored-typeahead:not(:last-child) {
	border-top-right-radius: 0;
	border-bottom-right-radius: 0;
}
.input-group > .selectboxs > select:not(:last-child),
.input-group > .blazored-typeahead:not(:last-child) input {
	border-top-right-radius: 0;
	border-bottom-right-radius: 0;
}

.input-group-btn {
	display: flex;
}

.selectboxs .appearance-arrow {
	pointer-events: none;
}

.ui-calendar input {
	min-height: 38px;
	border: 1px solid #bfbfbf !important;
}

.blazored-typeahead input {
	min-height: 38px;
}

.showing-number {
	font-size: 13px;
	float: none;
}
.navigation-right {
	float: none;
}
.pagination {
	margin-bottom: 0;
}
.pagination .page-item .page-link {
	font-size: 13px;
}
.pagination .page-item .page-link {
	color: #3276b1
}
.pagination .page-item .page-link:active,
.pagination .page-item .page-link:focus,
.pagination .page-item .page-link:hover {
	color: #d04091;
	background-color: #fff;
}
.pagination .page-item .page-link.active {
	color: #fff;
	background-color: #3276b1
}

.parameter-table {
	margin-bottom: 0;
}
.parameter-table tbody th {
	background-color: rgb(39, 44, 51) !important;
	color: #99abb4 !important;
	font-weight: 300;
	font-size: 13px;
	border-color: rgb(39, 44, 51) !important;
	vertical-align: middle;
}
.parameter-table tbody tr td {
	font-size: 14px;
	padding: 8px;
	vertical-align: middle;
}

.data-table {
	margin-bottom: 0;
}
.data-table thead {
	background-color: rgb(39, 44, 51) !important;
	font-weight: 200 !important;
	color: #99abb4 !important;
}
.data-table thead th {
	font-weight: 300;
	font-size: 13px;
	border-color: rgb(39, 44, 51) !important;
	background-color: rgb(39, 44, 51) !important;
	border: 1px solid rgb(39, 44, 51);
	vertical-align: middle;
}
.data-table thead th a {
	color: #99abb4 !important;
}
.data-table thead th a:hover {
	color: #d04091 !important;
}
.data-table tbody tr,
.data-table tfoot tr {
	border: 1px solid #dee2e6;
}
.data-table tbody tr th,
.data-table tfoot tr th {
	font-weight: 600;
	font-size: 14px;
	padding: 8px;
	background-color: rgba(0,0,0,.05);
	border: none;
	vertical-align: middle;
}
.data-table tbody tr td {
	font-size: 14px;
	padding: 8px;
	border: 1px solid #dee2e6;
	vertical-align: middle;
}

.dropdown-item:hover {
	background-color: #275b89 !important;
	color: #fff;
}

.dropFileText {
	font-size: x-large;
}

.footer {
	font-size: 14px;
	padding: 10px;
	background-color: rgb(39, 44, 51);
	color: #99abb4;
	left: 245px;
}

.back-to-top {
	display: none;
	position: fixed;
	bottom: 47px;
	width: 30px;
	height: 30px;
	cursor: pointer;
	z-index: 1000;
	border-radius: 5px;
	padding: 5px 8px;
	color: #fff;
	background-color: #3276b1;
	border-color: #2c699d;
}

	.back-to-top.active, .back-to-top:active, .back-to-top:focus, .back-to-top:hover {
		color: #fff;
		background-color: #275b89;
		border-color: #1f496d;
	}

.back-to-top-left {
	left: 250px;
}

.back-to-top-right {
	right: 5px;
}

/* Hide "Select-All" checkbox from Radzen MultiSelect dropdown */
.ui-multiselect-header {
	display: none;
}

.MessageBoxContainer {
	padding: 20px;
	background-color: rgb(39, 44, 51) !important;
	color: #99abb4 !important;
}

.MessageBoxContainer p {
	margin: 0 0 9px;
}

.MessageBoxMiddle {
	left: 20%;
	width: 60%;
	text-align: left;
}

.MessageBoxMiddle .pText {
	font-weight: unset;
	padding: 0;
}

.MessageBoxButtonSection {
	border-top: none;
	height: 45px;
}

.MessageBoxButtonSection button {
	float: right;
}

.MessageBoxMiddle .MsgTitle {
	font-weight: unset;
}

.btn-block {
	font-size: 16px;
	line-height: 2;
}

.blazored-modal-container {
	z-index: 100 !important;
}

.file-upload-button {
	padding: 4px 4px !important;
}

#sparks {
	display: block;
	list-style: none;
	margin: 10px 0 0;
	padding: 0;
	text-align: right;
}

	#sparks li:first-child {
		border-left: none;
		padding-left: 0;
	}

	#sparks li {
		border-left: 1px dotted #c7c7c7;
		padding: 0 10px;
		display: inline-block;
		max-height: 47px;
		overflow: hidden;
		text-align: left;
		box-sizing: content-box;
		-moz-box-sizing: content-box;
		-webkit-box-sizing: content-box;
	}

		#sparks li h5 {
			color: #555;
			float: left;
			font-size: 11px;
			font-weight: 400;
			margin: -3px 0 0 0;
			padding: 0;
			border: none;
			text-transform: uppercase;
		}

		#sparks li span {
			color: #d04091;
			display: block;
		}

.sparks-info {
	min-width: 70px;
}

	.sparks-info span {
		font-size: 18px;
		line-height: 20px;
		margin: 0;
		text-transform: none;
	}

.table-header-rotated th.row-header {
	width: auto;
}

.table-header-rotated td {
	width: 40px;
	border-top: 1px solid #dddddd;
	border-left: 1px solid #dddddd;
	border-right: 1px solid #dddddd;
	vertical-align: middle;
	text-align: center;
}

.table-header-rotated th.rotate-45 {
	height: 80px;
	width: 40px;
	min-width: 40px;
	max-width: 40px;
	position: relative;
	vertical-align: bottom;
	padding: 0;
	font-size: 12px;
	line-height: 0.8;
	background-color: unset !important;
}

	.table-header-rotated th.rotate-45 > div {
		position: relative;
		top: 0px;
		left: 100px;
		height: 200px;
		-ms-transform: skew(-45deg,0deg);
		-moz-transform: skew(-45deg,0deg);
		-webkit-transform: skew(-45deg,0deg);
		-o-transform: skew(-45deg,0deg);
		transform: skew(-45deg,0deg);
		overflow: hidden;
		border-left: 1px solid #dddddd;
	}

	.table-header-rotated th.rotate-45 span {
		-ms-transform: skew(45deg,0deg) rotate(315deg);
		-moz-transform: skew(45deg,0deg) rotate(315deg);
		-webkit-transform: skew(45deg,0deg) rotate(315deg);
		-o-transform: skew(45deg,0deg) rotate(315deg);
		transform: skew(45deg,0deg) rotate(315deg);
		position: absolute;
		bottom: 30px; /* 40 cos(45) = 28 with an additional 2px margin*/
		left: -25px; /*Because it looked good, but there is probably a mathematical link here as well*/
		display: inline-block;
		width: 100%;
		width: 85px; /* 80 / cos(45) - 40 cos (45) = 85 where 80 is the height of the cell, 40 the width of the cell and 45 the transform angle*/
		text-align: left;
		white-space: nowrap; /*whether to display in one line or not*/
	}

.blazored-typeahead {
	font-size: 14px;
	font-weight: 500;
}

.blazored-typeahead__results {
	z-index: 1000;
}

/* Prevent Lookups from resizing when in edit mode */
input.blazored-typeahead__input {
	width: 100%;
}

/* Hide arrows from number inputs: */
/* Chrome, Safari, Edge, Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
	-webkit-appearance: none;
	margin: 0;
}
/* Firefox */
input[type=number] {
	-moz-appearance: textfield;
}

.revive-green-bg {
	background-color: #11a94f;
}

.revive-yellow-bg {
	background-color: #fef028;
}

.revive-red-bg {
	background-color: #e3222a;
}
.blazored-modal {
	max-height: 98%;
}
.blazored-modal-content {
	overflow: auto;
}

/* Start: Bootstrap Enable Submenus */
.dropdown-menu li:hover > ul.dropdown-menu {
	display: block;
}
.dropdown-submenu {
	position: relative;
}
.dropdown-submenu > .dropdown-menu {
	top: 0;
	left: 100%;
	margin-top: -6px;
}
.dropdown-menu > li > a:after {
	text-decoration: underline;
	transform: rotate(-90deg);
} 
/* End: Bootstrap Enable Submenus */
.handy-scroll {
	bottom: 42px;
}
.handy-scroll-hidden {
	bottom: 0;
}
/*Fix Start: Radzen Datepicker Not Showing in Dialogs*/
body:has(.blazored-modal) .ui-datepicker:not(.ui-datepicker-inline) {
	position: fixed;
}
/*Fix End: Radzen Datepicker Not Showing in Dialogs*/

.img-center {
	display: block;
	margin-left: auto;
	margin-right: auto;
}
.progress-bar {
	background-color: #3276b1 !important;
}